[data-theme='dark'] {
  --window-background-home: linear-gradient(to bottom right, #0f1023, #4b0224);
  --window-background-panel: transparent;
  --box-shadow-panel: none;
  --dark-display: inline;
  --light-display: none;
  --border-colour: black;
  --text-primary: white;
  --border-panel: 2pt black solid;
  --green-indicator-background: #005000;
  --green-indicator-border: #00e600;
  --red-indicator-background: #500000;
  --red-indicator-border: #e60000;
  --unknown-indicator-background: transparent;
  --unknown-indicator-border: #a0a0a0;
}

[data-theme='light'] {
  --window-background-home: white;
  --window-background-panel: white;
  --box-shadow-panel: 0px 0px 14px rgba(0, 0, 0, 0.4);
  --dark-display: none;
  --light-display: inline;
  --border-colour: #aaaaaa;
  --text-primary: black;
  --border-panel: none;
  --green-indicator-background: #00e600;
  --green-indicator-border: #005000;
  --red-indicator-background: #e60000;
  --red-indicator-border: #500000;
  --unknown-indicator-background: transparent;
  --unknown-indicator-border: #606060;
}

.home {
  height: 100%;
  flex: 1 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  border-radius: 10px;
  margin-right: 5px;
}

.home-main {
  border-radius: 10px;
  flex: 1 1;
  display: flex;
  flex-direction: column;
  text-align: center;
  height: 100%;
  background-image: var(--window-background-home);
  box-shadow: var(--box-shadow-panel);
}

.home-ska-logo-container[data-dark='T'] {
  flex: 0 0 auto;
  display: var(--dark-display);
}

.home-ska-logo-container[data-dark='F'] {
  flex: 0 0 auto;
  display: var(--light-display);
}

.home-service-right-panel {
  flex: 0 0 450px;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.home-service-top-right-panel {
  border-radius: 10px;
  flex: 1 1;
  width: 100%;
  background-image: var(--window-background-home);
  box-shadow: var(--box-shadow-panel);
  border-left: var(--border-panel);
  border-bottom: var(--border-panel);
}

.home-service-status {
  border-radius: 10px;
  flex: 0 0 auto;
  display: flex;
  flex-direction: column;
  background-image: var(--window-background-home);
  box-shadow: var(--box-shadow-panel);
  border-left: var(--border-panel);
  border-top: var(--border-panel);
}

.home-service-status-title {
  margin: 0 0 0 10px;
  font-weight: 800;
  color: var(--text-primary);
  display: flex;
}

.home-service-status-detail {
  flex: 0 0 auto;
  margin: 3px 0px 3px 10px;
  color: var(--text-primary);
  display: flex;
  align-items: center;
  font-size: 0.9em;
}

.home-service-status-indicator {
  border-radius: 10px;
  flex: 0 0 20px;
  height: 20px;
  box-shadow: none;
  text-align: center;
  font-size: 9pt;
}

.home-service-status-indicator[data-value='G'] {
  background-color: var(--green-indicator-background);
  border: 1pt solid var(--green-indicator-border);
}

.home-service-status-indicator[data-value='R'] {
  background-color: var(--red-indicator-background);
  border: 1pt solid var(--red-indicator-border);
}

.home-service-status-indicator[data-value='U'] {
  background-color: var(--unknown-indicator-background);
  border: 1pt solid var(--unknown-indicator-border);
  color: var(--text-primary);
}

.home-service-status-indicator[data-value='N'] {
  background-color: transparent;
  border: none;
}
